<html>
<head>
<title>Ogre::GLES2RTTManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLES2RTTManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLES2RTTManager" --><!-- doxytag: inherits="Singleton&lt; GLES2RTTManager &gt;" -->
<p>Manager/factory for RenderTextures.  
 <a href="classOgre_1_1GLES2RTTManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLES2RenderTexture_8h_source.html">OgreGLES2RenderTexture.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLES2RTTManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLES2RTTManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLES2RTTManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLES2RTTManager_inherit__map" id="Ogre_1_1GLES2RTTManager_inherit__map">
<area shape="rect" id="node5" href="classOgre_1_1GLES2CopyingRTTManager.html" title="Simple, copying manager/factory for RenderTextures." alt="" coords="5,160,229,189"/><area shape="rect" id="node7" href="classOgre_1_1GLES2FBOManager.html" title="Factory for GL ES 2 Frame Buffer Objects, and related things." alt="" coords="253,160,429,189"/><area shape="rect" id="node2" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; GLES2RTTManager \&gt;" alt="" coords="103,5,356,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLES2RTTManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2RTTManager.html#a13e56e03faebc6030b8f31a0940da0d6">~GLES2RTTManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1RenderTexture.html">RenderTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2RTTManager.html#a0360c9116f06dd86a68ce61e3633bcf1">createRenderTexture</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> &amp;target, bool writeGamma, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a texture rendertarget object.  <a href="#a0360c9116f06dd86a68ce61e3633bcf1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2RTTManager.html#a9e18a4c9df1f0d8963fb8a941ef0cbaf">checkFormat</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if a certain format is usable as rendertexture format.  <a href="#a9e18a4c9df1f0d8963fb8a941ef0cbaf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2RTTManager.html#a137176310449cfddd4159a0cf5012d63">bind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a certain render target.  <a href="#a137176310449cfddd4159a0cf5012d63"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2RTTManager.html#aa9d4e39159889abf8b1d5fd4b2c44b7f">unbind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unbind a certain render target.  <a href="#aa9d4e39159889abf8b1d5fd4b2c44b7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2RTTManager.html#a270434b8c3c065d0abb8c27aa2a91885">getBestDepthStencil</a> (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2RTTManager.html#a964518572afa36a2e7f1424a737419c1">createMultiRenderTarget</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a multi render target.  <a href="#a964518572afa36a2e7f1424a737419c1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2RTTManager.html#a4a16f5734f7f17716c693cae5078a29a">getSupportedAlternative</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the closest supported alternative format.  <a href="#a4a16f5734f7f17716c693cae5078a29a"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Manager/factory for RenderTextures. </p>

<p>Definition at line <a class="el" href="OgreGLES2RenderTexture_8h_source.html#l00061">61</a> of file <a class="el" href="OgreGLES2RenderTexture_8h_source.html">OgreGLES2RenderTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a13e56e03faebc6030b8f31a0940da0d6"></a><!-- doxytag: member="Ogre::GLES2RTTManager::~GLES2RTTManager" ref="a13e56e03faebc6030b8f31a0940da0d6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLES2RTTManager.html#a13e56e03faebc6030b8f31a0940da0d6">Ogre::GLES2RTTManager::~GLES2RTTManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a137176310449cfddd4159a0cf5012d63"></a><!-- doxytag: member="Ogre::GLES2RTTManager::bind" ref="a137176310449cfddd4159a0cf5012d63" args="(RenderTarget *target)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLES2RTTManager.html#a137176310449cfddd4159a0cf5012d63">Ogre::GLES2RTTManager::bind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bind a certain render target. </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLES2CopyingRTTManager.html#a24e85f59e4d73e0c0718df13f3b92b73">Ogre::GLES2CopyingRTTManager</a>, and <a class="el" href="classOgre_1_1GLES2FBOManager.html#aecea9ceccfdf7484a7d7ff56a971342e">Ogre::GLES2FBOManager</a>.</p>

</div>
</div>
<a class="anchor" id="a9e18a4c9df1f0d8963fb8a941ef0cbaf"></a><!-- doxytag: member="Ogre::GLES2RTTManager::checkFormat" ref="a9e18a4c9df1f0d8963fb8a941ef0cbaf" args="(PixelFormat format)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1GLES2RTTManager.html#a9e18a4c9df1f0d8963fb8a941ef0cbaf">Ogre::GLES2RTTManager::checkFormat</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if a certain format is usable as rendertexture format. </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLES2CopyingRTTManager.html#a350efda990fe3a6bdcece5eb486873d2">Ogre::GLES2CopyingRTTManager</a>, and <a class="el" href="classOgre_1_1GLES2FBOManager.html#a8b24c87902ab230912a41e82d49e9945">Ogre::GLES2FBOManager</a>.</p>

</div>
</div>
<a class="anchor" id="a964518572afa36a2e7f1424a737419c1"></a><!-- doxytag: member="Ogre::GLES2RTTManager::createMultiRenderTarget" ref="a964518572afa36a2e7f1424a737419c1" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a>* <a class="el" href="classOgre_1_1GLES2RTTManager.html#a964518572afa36a2e7f1424a737419c1">Ogre::GLES2RTTManager::createMultiRenderTarget</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a multi render target. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GLES2FBOManager.html#a0166d428e932b3e81082ffb00855c0dc">Ogre::GLES2FBOManager</a>.</p>

</div>
</div>
<a class="anchor" id="a0360c9116f06dd86a68ce61e3633bcf1"></a><!-- doxytag: member="Ogre::GLES2RTTManager::createRenderTexture" ref="a0360c9116f06dd86a68ce61e3633bcf1" args="(const String &amp;name, const GLES2SurfaceDesc &amp;target, bool writeGamma, uint fsaa)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderTexture.html">RenderTexture</a>* <a class="el" href="classOgre_1_1GLES2RTTManager.html#a0360c9116f06dd86a68ce61e3633bcf1">Ogre::GLES2RTTManager::createRenderTexture</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>writeGamma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a texture rendertarget object. </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLES2CopyingRTTManager.html#ac79927c61aa63fd3223b1fd60794299c">Ogre::GLES2CopyingRTTManager</a>, and <a class="el" href="classOgre_1_1GLES2FBOManager.html#ac0f7efe952a3e7928af805d9ddf5ed16">Ogre::GLES2FBOManager</a>.</p>

</div>
</div>
<a class="anchor" id="a270434b8c3c065d0abb8c27aa2a91885"></a><!-- doxytag: member="Ogre::GLES2RTTManager::getBestDepthStencil" ref="a270434b8c3c065d0abb8c27aa2a91885" args="(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLES2RTTManager.html#a270434b8c3c065d0abb8c27aa2a91885">Ogre::GLES2RTTManager::getBestDepthStencil</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>internalFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>depthFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>stencilFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1GLES2FBOManager.html#a8ad700c0d085d792eee4b9d72837c60f">Ogre::GLES2FBOManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLES2RenderTexture_8h_source.html#l00084">84</a> of file <a class="el" href="OgreGLES2RenderTexture_8h_source.html">OgreGLES2RenderTexture.h</a>.</p>

<p>References <a class="el" href="OgreGLESPrerequisites_8h_source.html#l00106">GL_NONE</a>.</p>

</div>
</div>
<a class="anchor" id="a7757bd7ac3702c144502e53ad6491888"></a><!-- doxytag: member="Ogre::GLES2RTTManager::getSingleton" ref="a7757bd7ac3702c144502e53ad6491888" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> &amp; <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7ab51c46521b89723d6186a52a7e0d7b"></a><!-- doxytag: member="Ogre::GLES2RTTManager::getSingletonPtr" ref="a7ab51c46521b89723d6186a52a7e0d7b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00092">92</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4a16f5734f7f17716c693cae5078a29a"></a><!-- doxytag: member="Ogre::GLES2RTTManager::getSupportedAlternative" ref="a4a16f5734f7f17716c693cae5078a29a" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1GLES2RTTManager.html#a4a16f5734f7f17716c693cae5078a29a">Ogre::GLES2RTTManager::getSupportedAlternative</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the closest supported alternative format. </p>
<p>If format is supported, returns format. </p>

</div>
</div>
<a class="anchor" id="aa9d4e39159889abf8b1d5fd4b2c44b7f"></a><!-- doxytag: member="Ogre::GLES2RTTManager::unbind" ref="aa9d4e39159889abf8b1d5fd4b2c44b7f" args="(RenderTarget *target)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLES2RTTManager.html#aa9d4e39159889abf8b1d5fd4b2c44b7f">Ogre::GLES2RTTManager::unbind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unbind a certain render target. </p>
<p>This is called before binding another <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used. </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLES2CopyingRTTManager.html#a9511d63c889d8c5d1a4759da316f5414">Ogre::GLES2CopyingRTTManager</a>, and <a class="el" href="classOgre_1_1GLES2FBOManager.html#a991a79a74f676ce7b02d1a6d828dcd3f">Ogre::GLES2FBOManager</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::GLES2RTTManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLES2RenderTexture_8h_source.html">OgreGLES2RenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:29
</p>
</body>
</html>
